Change a tracked keyword's depth, cadence or tags.
Request
curl -X PATCH "https://api.appgoat.ai/v1/tracked-keywords/123" \
-H "x-api-key: $APPGOAT_API_KEY" \
-H "content-type: application/json" \
-d '{"depth":1,"cadenceMinutes":1,"tags":["string"]}'const res = await fetch("https://api.appgoat.ai/v1/tracked-keywords/123", {
method: 'PATCH',
headers: {
"x-api-key": process.env.APPGOAT_API_KEY,
"content-type": "application/json",
},
body: JSON.stringify({"depth":1,"cadenceMinutes":1,"tags":["string"]}),
});
const { data, meta } = await res.json();import os, requests
res = requests.patch(
"https://api.appgoat.ai/v1/tracked-keywords/123",
headers={"x-api-key": os.environ["APPGOAT_API_KEY"]},
json={"depth":1,"cadenceMinutes":1,"tags":["string"]}
)
body = res.json()Path parameters
idintegerrequiredRequest body
JSON, required.
depthintegercadenceMinutesintegertagsstring[] | nullResponse
200 with data: TrackedKeyword. See the envelope for meta.
idintegertermstringstoreStorecountrystringdepthintegercadence_minutesintegertagsstring[] | nullpopularityinteger | nulllast_run_atstring | nulltop10string[] | nullranked_atstring | nullExample
{
"data": {
"id": 1,
"term": "photo editor",
"store": "apple",
"country": "us",
"depth": 1,
"cadence_minutes": 1,
"tags": [
"string"
],
"popularity": 1,
"last_run_at": "2026-10-22T10:00:00Z",
"top10": [
"string"
],
"ranked_at": "2026-10-22T10:00:00Z"
},
"meta": {
"credits_used": 0,
"credits_remaining": 9981,
"request_id": "req_123"
}
}Status codes
200
The updated tracked keyword.
Missing or invalid API key.
404
not_foundNot found.
429
rate_limitedToo many requests per second for your plan.